Build android kk4.4.2 with a custom kernel?

cancel
Showing results for 
Search instead for 
Did you mean: 

Build android kk4.4.2 with a custom kernel?

Jump to solution
625 Views
oussama
Contributor III

I want to build android kk4.4.2 for a board based on IMX6 cpu with a custom kernel derived from rel_imx_3.10.17_1.0.0_ga.

The documentation from android_kk4.4.2_1.0.0-ga_docs says that I should use the kernel branch kk4.4.2_1.0.0-ga, so my question is can I use instead the branch rel_imx_3.10.17_1.0.0_ga?

what's the difference in nature between rel_imx_3.10.17_1.0.0_ga and kk4.4.2_1.0.0-ga?

Is the branch rel_imx_3.10.17_1.0.0_ga  compatible with android? if not what's is the best way to integrate missing patches?

Thanks

Labels (3)
Tags (3)
0 Kudos
1 Solution
93 Views
tonyzheng
NXP Employee
NXP Employee

Hi, Oussama

Of course, you can try it. But it will cost much efforts.

As we all know, from 3.x kernel, the linux community has done much modifies, and from 3.4 kernel, all device drivers must support devce-tree and most platform-dependent codes have been removed from kernel. On the same time, bootloader, for example u-boot has also done many modifies to accommodate these linux kernel upgrades, dtb file is necessary for uboot and linux kernel. kk4.4 is based on 3.0.35 and doesn't support these new features. So, you will cost many efforts to port it from 3.0.35 to 3.10.17.


View solution in original post

0 Kudos
3 Replies
93 Views
tonyzheng
NXP Employee
NXP Employee

Hi, Oussama

KK4.4.2 is based on linux 3.0.35 kernel, that is completely differnet from linux 3.10.17 kernel. So, don't try to bulid android like this!!!

0 Kudos
93 Views
oussama
Contributor III

Hi Tao,

Even if I try to adapt the kernel 3.10.17 to android kk4.4.2?

Could you give me one blocking issue? is it about the compatibility between the HAL and the kernel?

Thanks

0 Kudos
94 Views
tonyzheng
NXP Employee
NXP Employee

Hi, Oussama

Of course, you can try it. But it will cost much efforts.

As we all know, from 3.x kernel, the linux community has done much modifies, and from 3.4 kernel, all device drivers must support devce-tree and most platform-dependent codes have been removed from kernel. On the same time, bootloader, for example u-boot has also done many modifies to accommodate these linux kernel upgrades, dtb file is necessary for uboot and linux kernel. kk4.4 is based on 3.0.35 and doesn't support these new features. So, you will cost many efforts to port it from 3.0.35 to 3.10.17.


View solution in original post

0 Kudos